Subject: Minor Type in rfc3852

From: "Jim Schaad" <[email-masked]>
Date: Mon, 31 Jan 2005 18:09:21 -0800

I have found a minor typo in RFC 3852.

In the textual section that describes RecipientInfo (Section 6.2) the ASN.1
is given as follows:

             RecipientInfo ::= CHOICE {
               ktri KeyTransRecipientInfo,
               kari [1] KeyAgreeRecipientInfo,
               kekri [2] KEKRecipientInfo,
               pwri [3] PasswordRecipientinfo,
               ori [4] OtherRecipientInfo }

Note that the 'I' for info isn ot capitalized for PasswordRecipientInfo.

The complete ASN.1 in section 12.1 has it correct as does the text
describing the PasswordRecipientInfo type.

Jim